MINFORecord (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class MINFORecord

- java.lang.Object
- - org.xbill.DNS.Record
  - - org.xbill.DNS.MINFORecord

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable

      public class MINFORecord
      extends Record

  Mailbox information Record - lists the address responsible for a mailing list/mailbox and the address to receive error messages relating to the mailing list/mailbox.
  Author:
    Brian Wellington
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.xbill.DNS.Record

      `dclass, name, ttl, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MINFORecord(Name name, int dclass, long ttl, Name responsibleAddress, Name errorAddress)` Creates an MINFO Record from the given data

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Name` | `getErrorAddress()` Gets the address to receive error messages relating to the mailing list/mailbox.
    `Name` | `getResponsibleAddress()` Gets the address responsible for the mailing list/mailbox.

    - ### Methods inherited from class org.xbill.DNS.Record

      `byteArrayFromString, byteArrayToString, compareTo, equals, fromString, fromString, fromWire, getAdditionalName, getDClass, getName, getRRsetType, getTTL, getType, hashCode, newRecord, newRecord, newRecord, newRecord, rdataToString, rdataToWireCanonical, sameRRset, toString, toWire, toWireCanonical, unknownToString, withName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MINFORecord

          public MINFORecord(Name name,
                     int dclass,
                     long ttl,
                     Name responsibleAddress,
                     Name errorAddress)

      Creates an MINFO Record from the given data
      Parameters:
        `responsibleAddress` - The address responsible for the mailing list/mailbox.
        `errorAddress` - The address to receive error messages relating to the mailing list/mailbox.

  - ### Method Detail

    - #### getResponsibleAddress

          public Name getResponsibleAddress()

      Gets the address responsible for the mailing list/mailbox.

    - #### getErrorAddress

          public Name getErrorAddress()

      Gets the address to receive error messages relating to the mailing list/mailbox.